#ifndef CONSOLE_H_
#define CONSOLE_H_

#include <stdio.h>
#include <windows.h>

#define MAX_SIZE 1000
#define ALLOC_MIN_SIZE 10//СռС.

#define RED FOREGROUND_RED
#define GREEN FOREGROUND_GREEN
#define BLUE FOREGROUND_BLUE

typedef struct Bound{
	union {
		struct Bound * preLink;//ͷǰ
		struct Bound * upLink;//βָͷ
	};
	int tag;//0ʾ,1ʾռ
	int size;//ʾ ÿռ䣬 ͷ  βռ
	struct Bound * nextLink;//ͷָ.
}*Space;

#define FOOT_LOC(p) ((p)+(p->size)-1)//βλ

void initSpace(Space * freeSpace,Space * pav);
Space allocBoundTag(Space * pav,int size);
void reclaimBoundTag(Space * pav,Space sp);
void SetColor(int color);
void print(Space s);
void printSpace(Space pav);


#endif /* CONSOLE_H_ */
